/* EVENTS GRID */

.events-archive-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin: 20px auto;
    padding: 0 10px;
}

.events-archive-item {
    background-color: #f2f2f2;
    border-radius: 6px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
	background-image: linear-gradient(115deg, #f8fbff00 37%, #16c0da2e 100%);
	
	
}

.events-archive-item-bg {
  background-color: #f2f2f2;
    border-radius: 20px;
    overflow: hidden;
    display: flex
;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    background-image: linear-gradient(115deg, #f8fbff00 37%, #16c0da2e 100%);
    background-size: cover !important;
    background-position: center !important;
    height: 460px !important;
    min-height: 460px !important;
	overflow: hidden;
	
	
}









/* Hover Effects */
.events-archive-item:hover {
    transform: translateY(-5px);
    background-color: #f6f6f6;
}

.events-archive-item-bg:hover {
    transform: translateY(-5px);
    background-color: #f6f6f6;
	cursor:pointer;

}



/* Image */
.events-archive-image {
    width: 100%;
    height: 220px;
    background-size: cover;
    background-position: center;
    overflow: hidden;
}

.events-archive-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: transform 1.05s ease-in-out;
}

.events-archive-image img:hover {
    transform: scale(1.2);
}

/* Content */
.events-archive-content {
    padding: 15px 15px;
    text-align: center;
  /*  padding-bottom: 35px;*/
	color: #00404f;
}


.events-archive-content-bg {
/*padding: 170px 15px 15px 15px;*/
padding: 340px 15px 15px 15px;
    text-align: left;
    color: #fff !important;
    display: flex !important
;
    flex-direction: column !important;
    justify-content: center !important;
    background-color: rgba(0, 0, 0, 0.25) !important;
    min-height: 460px;
}



.events-grid-title {
    font-size: 22px;
    margin: 10px 0;
    /*color: #000;*/
    min-height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
	text-transform: uppercase;
    font-weight: bold;
}

.events-grid-title-bg {
    font-size: 26px;
    margin: 10px 0;
    color: #fff;
    min-height: 30px;
    display: flex;
  /*  align-items: center;
    justify-content: center;*/
	text-transform: uppercase;
    font-weight: bold;
}

/* Event Status Banner */
.events-grid-status-banner {
    font-size: 14px;
    font-weight: bold;
    padding: 5px 10px;
    background-color: #4abcca;
    color: #fff;
    border-radius: 4px;
    display: inline-block;
    margin-bottom: 10px;
}

/* Main Route Attributes */
.events-main-route-grid {
    margin-top: 10px;
}

.events-main-route-grid .route-attributes-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    text-align: center;
    margin-top: 10px;
}

.events-main-route-grid .route-attributes-grid div {

/* display: flex;
    align-items: center;*/
    font-size: 14px;

}

.events-main-route-grid .route-attributes-grid div i {
    margin-right: 8px;
    color: #4abcca;
}

/* Responsive Design */
@media (max-width: 1024px) {
    .events-archive-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
   .events-archive-grid {
        grid-template-columns: 1fr;
	}

    .events-main-route-grid .route-attributes-grid {
        grid-template-columns: 1fr;
    }
	
	.events-main-route-grid .route-attributes-grid {

    display: flex;
    align-items: center;
    justify-content: center;
}
}



@media (max-width: 480px) {
    .events-grid-title {
        font-size: 18px;
    }

    .events-main-route-grid .route-attributes-grid div {
        font-size: 12px;
    }
}

.event-grid-button-wrapper { 
margin-top:15px;
}

.event-grid-button-wrapper-bg { 
margin-top:15px;
}


.event-grid-button-wrapper a {
    color: #fff;
    background-color: #4abcca;
 /*   font-size: 18px;*/
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    text-align: center;
    line-height: 9px;
    font-weight: 600;
    padding: 12px 40px;
    text-transform: uppercase;
display:block;
    border: 2px solid #4abcca;
    opacity: 1 !important;
/*    font-family: 'Barlow Condensed' !important;
    font-style: italic;*/
    -webkit-transition: ease-out 0.4s;
    -moz-transition: ease-out 0.4s;
    transition: ease-out 0.4s;
    box-shadow: inset 0 0 0 0 #4abcca;
	width:100%;
	
}


.event-grid-button-wrapper-bg a {
    color: #fff;
    background-color: #4abcca;
 /*   font-size: 18px;*/
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    text-align: center;
    line-height: 9px;
    font-weight: 600;
    padding: 12px 40px;
    text-transform: uppercase;
display:inline-block;
    border: 2px solid #4abcca;
    opacity: 1 !important;
    font-family: 'Roboto' !important;
/*    font-style: italic;*/
    -webkit-transition: ease-out 0.4s;
    -moz-transition: ease-out 0.4s;
    transition: ease-out 0.4s;
    box-shadow: inset 0 0 0 0 #4abcca;
	/*width:100%;*/
	
}

.event-grid-button-wrapper a:hover {
  box-shadow: inset 400px 0 0 #04303D;
    border-color: #04303D;
    transform: scale(1.01);  
}

.event-grid-button-wrapper-bg a:hover {
  box-shadow: inset 400px 0 0 #04303D;
    border-color: #04303D;
    transform: scale(1.01);  
}

.event-grid-upcoming-dates { 
margin-top:10px;
}

.event-grid-past-dates { 
margin-top:10px;
}


 .events-archive-item .postponed-grid {
    /* position: absolute; */
    top: 10%;
    left: 50%;
    color: #EAB301;
    padding: 5px;
    z-index: 1;
    line-height: 1;
    font-size: 24px;
    border: 5px solid;
    border-radius: 6px;
    margin-left: 17%;
    text-transform: uppercase;
    font-weight: bold;
    opacity: 0.8;
    -webkit-transform: rotate(-10deg);
    -ms-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
    transform: rotate(-10deg);
    /* box-shadow: 0px 0px 10px #000; */
    text-shadow: 0px 0px 10px #000;
    transition: color 0.2s ease-in-out;
    /* display: inline-block; */
    width: 169px;
    z-index: 99;
    margin-top: -44px;
}


 .events-archive-item-bg .postponed-grid {

     /* position: absolute; */
	position:relative;
/*    top: 10%;
    left: 50%;*/
	    top: 40%;
    left: 10%;
    color: #EAB301;
    padding: 5px;
    z-index: 1;
    line-height: 1;
    font-size: 24px;
    border: 5px solid;
    border-radius: 6px;
    margin-left: 17%;
    text-transform: uppercase;
    font-weight: bold;
    opacity: 0.8;
    -webkit-transform: rotate(-10deg);
    -ms-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
    transform: rotate(-10deg);
    /* box-shadow: 0px 0px 10px #000; */
    text-shadow: 0px 0px 10px #000;
    transition: color 0.2s ease-in-out;
    /* display: inline-block; */
    width: 169px;
    z-index: 99;
    margin-top: -44px;
}


.events-archive-item .finished-grid {
     /* position: absolute; */
	position:relative;
/*    top: 10%;
    left: 50%;*/
	    top: 40%;
    left: 10%;
    color: red;
    padding: 5px;
    z-index: 1;
    line-height: 1;
    font-size: 24px;
    border: 5px solid;
    border-radius: 6px;
    margin-left: 17%;
    text-transform: uppercase;
    font-weight: bold;
    opacity: 0.8;
    -webkit-transform: rotate(-10deg);
    -ms-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
    transform: rotate(-10deg);
    /* box-shadow: 0px 0px 10px #000; */
    text-shadow: 0px 0px 10px #000;
    transition: color 0.2s ease-in-out;
    /* display: inline-block; */
    width: 140px;
    z-index: 99;
    margin-top: -44px;
}

.events-archive-item-bg .finished-grid {
     /* position: absolute; */
	position:relative;
/*    top: 10%;
    left: 50%;*/
	    top: 40%;
    left: 10%;
    color: red;
    padding: 5px;
    z-index: 1;
    line-height: 1;
    font-size: 26px;
    border: 5px solid;
    border-radius: 6px;
    margin-left: 17%;
    text-transform: uppercase;
    font-weight: bold;
    opacity: 0.8;
    -webkit-transform: rotate(-10deg);
    -ms-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
    transform: rotate(-10deg);
    /* box-shadow: 0px 0px 10px #000; */
    text-shadow: 0px 0px 10px #000;
    transition: color 0.2s ease-in-out;
    /* display: inline-block; */
    width: 160px;
    z-index: 99;
    margin-top: -44px;
}



/* EVENT CALENDAR */ 


.event-month-wrapper {
    background-color: #f2f2f2; /* Light grey background */
    padding: 20px;
    margin-bottom: 30px;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); /* Soft shadow for depth */
	background-image: linear-gradient(90deg, #f8fbff00 37%, #16c0da2e 100%);
}

.event-month-wrapper h2 {
    font-size: 22px;
    font-weight: bold;
    color: #333;
    margin-bottom: 15px;
    border-bottom: 2px solid #EAB301; /* Yellow underline */
    display: inline-block;
    padding-bottom: 5px;
}





.event-date-grid {
    font-weight: bold;
    color: #000;
}

.event-date-grid-bg {
    font-weight: bold;
    color: #fff;
}

.event-status {
    font-weight: bold;
}

.view-event-button
 {
    background-color: #04303D;
    color: #fff;
    border-radius: 6px;
    padding: 8px 40px;
    text-transform: uppercase;
 /*   font-family: 'Barlow Condensed' !important;
    font-style: italic;*/
	 font-family: 'Roboto' !important;
    -webkit-transition: ease-out 0.4s;
    -moz-transition: ease-out 0.4s;
    transition: ease-out 0.4s;
    box-shadow: inset 0 0 0 0 #04303D;
}

.view-event-button:hover
{
    box-shadow: inset 400px 0 0 #4abcca;
    border-color: #4abcca;
    transform: scale(1.01);
}


@media (max-width: 768px) {
    .event-dates-list li .view-event-button {
        width: 100%;
        margin-top: 5px;
        display: block;
        text-align: center;
    }
}




.event-month-wrapper .event-dates-list .event-status { 
margin-right:20px;
}

.event-month-wrapper .event-dates-list .event-time { 
margin-right:10px;
}
.event-month-wrapper .event-dates-list .event-date { 
margin-right:10px;
}

.event-month-wrapper.event-dates-list li { 
color: #04303D;
}


.event-list-title-link a { 
color: #04303D;
/*	font-family: 'Barlow Condensed' !important;*/
		font-family: 'Roboto' !important;
 /*   font-style: italic;*/
	text-transform:uppercase;
	font-weight:bold;
}



/*EVENTS MEGA MENU*/
/* Grid Layout */
.events-archive-mega-menu {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin: 20px auto;
    padding: 0 10px;
}

/* Event Box */
.events-mega-menu-item {
    background-color: #f2f2f2;
    border-radius: 6px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    background-image: linear-gradient(115deg, #f8fbff00 37%, #16c0da2e 100%);
}

.events-mega-menu-item-bg {
    background-color: #f2f2f2;
    border-radius: 6px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    background-image: linear-gradient(115deg, #f8fbff00 37%, #16c0da2e 100%);
	height:270px;
	 background-size: cover !important;
    background-position: center !important;
	
}

.events-mega-menu-item:hover {
    transform: translateY(-5px);
    background-color: #f6f6f6;
}



/* Event Image */
.events-mega-menu-image {
    width: 100%;
    height: 120px;
    background-size: cover;
    background-position: center;
    overflow: hidden;
}

.events-mega-menu-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: transform 1.05s ease-in-out;
}

.events-mega-menu-image img:hover {
    transform: scale(1.2);
}

/* Upcoming Dates */
.event-mega-menu-upcoming-dates {
    text-align: center;
    font-size: 14px;
    color: #00404f;
    margin-top: 10px;
    font-weight: bold;
}

.event-mega-menu-upcoming-dates-bg {
    text-align: left;
    font-size: 14px;
    color: #fff;
    margin-top: 10px;
    font-weight: bold;
}

/* Event Button */
.event-mega-menu-button-wrapper {
    margin-top: 15px;
    text-align: center;
  /*  padding-bottom: 15px;*/
}

.event-mega-menu-button-wrapper a {
    color: #fff;
    background-color: #4abcca;
    font-size: 18px;
    border-radius: 6px;
    text-align: center;
    font-weight: 600;
    padding: 8px 40px;
    text-transform: uppercase;
    display: block;
    border: 2px solid #4abcca;
    opacity: 1 !important;
 /*   font-family: 'Barlow Condensed' !important;
    font-style: italic;*/
	    font-family: 'Roboto' !important;
    transition: ease-out 0.4s;
    box-shadow: inset 0 0 0 0 #4abcca;
    width: 100%;
}

.event-mega-menu-button-wrapper-bg a {
   color: #fff;
    background-color: #4abcca;
    font-size: 12px;
    border-radius: 6px;
    text-align: center;
    font-weight: 600;
    padding: 8px 20px;
    text-transform: uppercase;
    display: inline-block;
    border: 2px solid #4abcca;
    opacity: 1 !important;
    font-family: 'Roboto' !important;
    transition: ease-out 0.4s;
    box-shadow: inset 0 0 0 0 #4abcca;
    width: 75%;
	margin-top:5px;
}

.event-mega-menu-button-wrapper a:hover {
    box-shadow: inset 400px 0 0 #04303D;
    border-color: #04303D;
    transform: scale(1.01);
}

.event-mega-menu-button-wrapper-bg a:hover {
    box-shadow: inset 400px 0 0 #04303D;
    border-color: #04303D;
    transform: scale(1.01);
}

/* Responsive Anpassungen */
@media (max-width: 1024px) {
    .events-archive-mega-menu {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .events-archive-mega-menu {
        grid-template-columns: 1fr;
    }
}

.events-mega-menu-content { 
padding:10px;
}

.events-mega-menu-content-bg { 
padding: 180px 10px 10px 10px;
    height: 270px;
	background-color: rgba(0, 0, 0, 0.25) !important;
}



.events-mega-menu-status div.event-status-banner-grid.postponed-grid { 
 /* position: absolute; */
    top: 10%!important;
    left: 50%!important;
    color: #EAB301!important;
    padding: 5px!important;
    z-index: 1!important;
    line-height: 1!important;
    font-size: 24px!important;
    border: 5px solid!important;
    border-radius: 6px!important;
    margin-left: 17%!important;
    text-transform: uppercase!important;
    font-weight: bold!important;
    opacity: 0.8!important;
    -webkit-transform: rotate(-10deg)!important;
    -ms-transform: rotate(-10deg)!important;
    -o-transform: rotate(-10deg)!important;
    transform: rotate(-10deg)!important;
    /* box-shadow: 0px 0px 10px #000; */
    text-shadow: 0px 0px 10px #000!important;
    transition: color 0.2s ease-in-out!important;
    /* display: inline-block; */
    width: 169px!important;
    z-index: 99!important;
    margin-top: -44px!important;
}

.events-mega-menu-status-bg div.event-status-banner-grid.postponed-grid { 
	position:absolute;

	    top: 8%;
    left: 20%;
    color: #EAB301!important;
    padding: 5px!important;
    z-index: 1!important;
    line-height: 1!important;
    font-size: 24px!important;
    border: 5px solid!important;
    border-radius: 6px!important;
    margin-left: 17%!important;
    text-transform: uppercase!important;
    font-weight: bold!important;
    opacity: 0.8!important;
    -webkit-transform: rotate(-10deg)!important;
    -ms-transform: rotate(-10deg)!important;
    -o-transform: rotate(-10deg)!important;
    transform: rotate(-10deg)!important;
    /* box-shadow: 0px 0px 10px #000; */
    text-shadow: 0px 0px 10px #000!important;
    transition: color 0.2s ease-in-out!important;
    /* display: inline-block; */
    width: 169px!important;
    z-index: 99!important;
  /*  margin-top: -44px!important;*/
}


/*NOVO SA BG*/

.asortiman-grid-overlay {
    position: absolute!important;
    top: 0!important;
    left: 0!important;
    width: 100%!important;
    height: 100%!important;
    background-color: rgba(0, 0, 0, 0.25)!important; /* Adjust the overlay color and opacity as needed */
	/*background: linear-gradient(184deg, rgba(255,106,16,1) 0%, rgba(252,176,69,1) 100%);*/
	/*background: linear-gradient(180deg, #ff9c00, #fc0 55%, #fd1);*/
	background-color: rgba(0, 0, 0, 0.35)!important;/* Adjust the overlay color and opacity as needed */
    display: flex!important;
    flex-direction: column!important;
    justify-content: center!important;
    align-items: center!important;
    padding: 20px!important;
    color: #000!important; /* Adjust the text color for title and button */
	border-radius:20px;
}







.events-archive-item-bg {
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.events-archive-item-bg::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: inherit;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  transition: transform 0.5s ease;
  z-index: -1;
}




.events-archive-item-bg:hover::before {
  transform: scale(1.15); /* Zoom effect */
}



.events-mega-menu-item-bg {
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.events-mega-menu-item-bg:before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: inherit;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  transition: transform 0.5s ease;
  z-index: -1;
}

.events-mega-menu-item-bg:hover:before {
  transform: scale(1.15); /* Zoom effect */
}

.events-mega-menu-grid-title-bg { 
color:#fff;
	text-transform:uppercase;
	font-size:18px;
}


.event-icon-state { 
    position: absolute;
    top: 10px;
    right: 10px;

}

.custom-event-state-text { 
 position: absolute;
    bottom: 24px;
    right: 10px;
	color:#fff;
}

.event-grid-past-dates i { 
/*display:none;*/
}

.event-grid-upcoming-dates i { 
/*display:none;*/
}

.events-archive-item-bg .full-item-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    text-indent: -9999px;
}

.event-grid-upcoming-dates { 
font-size:16px;
}